[Hackage] #419: cabal-install: upgrade complains about missing .cabal file

Hackage trac at galois.com
Mon Dec 1 09:57:40 EST 2008

#419: cabal-install: upgrade complains about missing .cabal file
  Reporter:  jimburton           |        Owner:         
      Type:  defect              |       Status:  new    
  Priority:  normal              |    Milestone:         
 Component:  cabal-install tool  |      Version:
  Severity:  normal              |     Keywords:         
Difficulty:  normal              |   Ghcversion:  6.8.3  
  Platform:                      |  
 I am using cabal-install 0.5.2. I have previously installed cgi (and other
 packages) locally. Now when I try to upgrade them all:

 Resolving dependencies...
 cabal: Couldn't read cabal file "./cgi/3001.1.7.1/cgi.cabal"

 I presumed that the starting point in that path was
 ~/.cabal/packages/hackage.haskell.org. In cgi/3001.1.7.1 there is just the
 tarball for the package but opening it and putting the .cabal file in the
 right place didn't help.

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/419>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list